import { CanActivate, ExecutionContext } from '@nestjs/common';
import { PrismaService } from './prisma.service.js';
export declare class TourRoleGuard implements CanActivate {
    private prisma;
    constructor(prisma: PrismaService);
    canActivate(context: ExecutionContext): Promise<boolean>;
}
